init -2 python:
    layout.imagemap_navigation(
        "images/gm_ground.png",
        "images/gm_idle.png",
        "images/gm_hover.png",
        "images/gm_selected_idle.png",
        "images/gm_selected_hover.png",
        [        
            (25, 75, 175, 150, "Save Game"),
            (25, 110, 175, 140, "Load Game"),
            (25, 145, 175, 175, "Preferences"),
            (25, 180, 175, 210, "Main Menu"),
            (25, 215, 175, 245, "Quit"),
            ])

    layout.imagemap_load_save(
        "images/loadsave_ground.png",
        "images/loadsave_idle.png",
        "images/loadsave_hover.png",
        "images/loadsave_selected_idle.png",
        "images/loadsave_selected_hover.png",
        [         
            (338, 78, 362, 102, "page_1"),
            (372, 78, 396, 102, "page_2"),
            (406, 78, 430, 102, "page_3"),
            (440, 78, 464, 102, "page_4"),
            (474, 78, 498, 102, "page_5"),
            (508, 78, 532, 102, "page_6"),
            (542, 78, 566, 102, "page_7"),
            (576, 78, 600, 102, "page_8"),
            (610, 78, 634, 102, "page_9"),
            (644, 78, 668, 102, "page_10"), 
            
            (338, 498, 362, 522, "page_11"),
            (372, 498, 396, 522, "page_12"),
            (406, 498, 430, 522, "page_13"),
            (440, 498, 464, 522, "page_14"),
            (474, 498, 498, 522, "page_15"),
            (508, 498, 532, 522, "page_16"),
            (542, 498, 566, 522, "page_17"),
            (576, 498, 600, 522, "page_18"),
            (610, 498, 634, 522, "page_19"),
            (644, 498, 668, 522, "page_20"), 

            (275, 124, 475, 274, "slot_0"),
            (525, 124, 725, 274, "slot_1"),
            (275, 326, 475, 476, "slot_2"),
            (525, 326, 725, 476, "slot_3"),
            ])


    style.file_picker_ss_window.xalign = 0.5
    style.file_picker_ss_window.yalign = 0.35
    style.file_picker_text_window.xalign = 0.5
    style.file_picker_text_window.yalign = 1.0
    style.file_picker_text_window.line_spacing = 0
    config.thumbnail_width = 125
    config.thumbnail_height = 93

    layout.imagemap_preferences(
        "images/prefs_ground.png",
        "images/prefs_idle.png",
        "images/prefs_hover.png",
        "images/prefs_selected_idle.png",
        "images/prefs_selected_hover.png",
        [
            (650, 439, 750, 464, "Window"),
            (525, 439, 625, 464, "Fullscreen"),
            (250, 439, 350, 464, "All"),
            (375, 439, 475, 464, "None"),            
            (650, 377, 750, 402, "Seen Messages"),
            (525, 377, 625, 402, "All Messages"),
            (375, 377, 475, 402, "Stop Skipping"),
            (250, 377, 350, 402, "Keep Skipping"),

            (250, 139, 475, 149, "Music Volume"),
            (525, 139, 750, 149, "Sound Volume"),            
            (525, 245, 750, 255, "Auto-Forward Time"),
            (250, 245, 475, 255, "Text Speed"),
            ])
    
    layout.imagemap_yesno_prompt(
        "images/yesno_ground.png",
        "images/yesno_idle.png",
        "images/yesno_hover.png",
        [
            (287, 268, 387, 294, "Yes"),
            (412, 268, 512, 294, "No"),
        ],
    )
    style.yesno_prompt_text.color = "#ffffff"
    style.yesno_prompt_text.size = 18
    style.yesno_prompt.yalign = .35


init python:
        
    def toggle_skipping():
        config.skipping = not config.skipping
        
    def change_wind():
        global wind
        wind = True
        renpy.restart_interaction()
        
    def change_windf():
        global wind
        wind = False
        renpy.restart_interaction()

    show_button_game_menu = True
    added = False
    show_q = False
    wind = False
    def button_game_menu():

        if show_button_game_menu:

            # to save typing
            ccinc = renpy.curried_call_in_new_context
           
            ui.imagebutton("images/skip.png", "images/skip.png", xpos=397, ypos=415, xanchor=0, yanchor=0, clicked=toggle_skipping)
            ui.imagebutton("images/x.png", "images/x.png", xpos=445, ypos=415, xanchor=0, yanchor=0, clicked= ui.callsinnewcontext("_hide_windows"))
            if not added and not wind:
                ui.imagebutton("images/hatena.png", "images/hatena.png", xpos=471, ypos=415, xanchor=0, yanchor=0, clicked=change_wind)
            if wind:
                ui.imagebutton("images/hatena.png", "images/hatena.png", xpos=471, ypos=415, xanchor=0, yanchor=0, clicked=change_windf)
            if added and not wind:
                ui.imagebutton("images/hatenaq.png", "images/hatenaq.png", xpos=471, ypos=415, xanchor=0, yanchor=0, clicked=change_wind)
                ui.text("≪質問が追加されました", xanchor=0, yanchor=0, xpos=500, ypos=415, outlines=[ (2, "#ad002d") ])
            #else:
                #ui.imagebutton("images/hatena2.png", "images/hatena2.png", xpos=471, ypos=415, xanchor=0, yanchor=0)
           
    config.overlay_functions.append(button_game_menu)
        
    def hat():
        if wind and show_button_game_menu:
            ui.frame(background="images/qwindow.png",xpos=250, ypos=270, xanchor=0, yanchor=0, xminimum=500, yminimum=145, xmaximum=500, ymaximum=145)
            ui.vbox(xpos=0.5, ypos=0.5, xanchor=0.5, yanchor=0.5)
            if q1_d and not show_q:
                ui.textbutton("僕らはどうなるのかな？", xminimum=450, xmaximum=450)
            if q1_d and show_q:
                ui.textbutton("僕らはどうなるのかな？", xminimum=450, xmaximum=450, clicked=ui.jumps('q1d'))
            if q1_e and not q1_r and not show_q:
                ui.textbutton("僕らはどうなるのかな？", xminimum=450, xmaximum=450)
            if q1_e and not q1_r:                                                                                                                                              
                ui.textbutton("僕らはどうなるのかな？", xminimum=450, xmaximum=450, clicked=ui.jumps('q1e'))
            if q2 and not show_q:
                ui.textbutton("家に入ろう？", xminimum=450, xmaximum=450)
            if q2 and show_q:
                ui.textbutton("家に入ろう？", xminimum=450, xmaximum=450, clicked=ui.jumps('q2'))
            if q3 and not show_q:
                ui.textbutton("どうして怒るの？", xminimum=450, xmaximum=450)
            if q3 and show_q:
                ui.textbutton("どうして怒るの？", xminimum=450, xmaximum=450, clicked=ui.jumps('q3'))
            if q4 and not show_q:
                ui.textbutton("君達ならどうする？", xminimum=450, xmaximum=450)
            if q4 and show_q:
                ui.textbutton("君達ならどうする？", xminimum=450, xmaximum=450, clicked=ui.jumps('q4'))
            if q5 and not show_q:
                ui.textbutton("たとえば翼の折れた鳥", xminimum=450, xmaximum=450)
            if q5 and show_q:
                ui.textbutton("たとえば翼の折れた鳥", xminimum=450, xmaximum=450, clicked=ui.jumps('q5'))
            if q6 and not show_q:
                ui.textbutton("たとえば翼の折れた鳥", xminimum=450, xmaximum=450)
            if q6 and show_q:
                ui.textbutton("たとえば翼の折れた鳥", xminimum=450, xmaximum=450, clicked=ui.jumps('q6'))
            if not q1_d and not q1_e and not q2 and not q3 and not q4 and not q5 and not q6:
                ui.text("質問はありません", xminimum=450, xmaximum=450)
            ui.close()
    config.overlay_functions.append(hat)

label main_menu:
    
    $ _game_menu_screen = None
    scene titlebg with dissolve
    show faixa
       
    $ ui.add(renpy.Keymap(toggle_fullscreen = renpy.toggle_fullscreen))
    #$ ui.window(style='mm_root', background='filmingroom.jpg')
    #$ ui.textbutton("人の命{p}-la vita umana-", ui.jumpsoutofcontext('beginningch1'), xanchor=0, yanchor=0, xpos=75, ypos=100, background="#0000")
    $ ui.imagebutton("images/chapt/1b.png", "images/chapt/1bh.png", clicked = ui.jumpsoutofcontext('beginningch1'), xanchor=0, yanchor=0, xpos=25, ypos=100)
    if persistent.ch1_complete:        
        $ ui.imagebutton("images/chapt/2b.png", "images/chapt/2bh.png", clicked = ui.jumpsoutofcontext('beginningch2'), xanchor=0, yanchor=0, xpos=75, ypos=200)
    else:
        $ ui.image("images/chapt/2.png", xanchor=0, yanchor=0, xpos=75, ypos=200)
    if persistent.ch1_complete and persistent.ch2_complete:
        $ ui.imagebutton("images/chapt/3b.png", "images/chapt/3bh.png", clicked = ui.jumpsoutofcontext('epilogue'), xanchor=0, yanchor=0, xpos=25, ypos=300)
    else:
        $ ui.image("images/chapt/3.png", xanchor=0, yanchor=0, xpos=25, ypos=300)
    

    if persistent.gun or persistent.sea:
        $ ui.imagebutton("images/chapt/15b.png", "images/chapt/15bh.png", clicked = ui.jumpsoutofcontext('begclarice'), xanchor=0, yanchor=0, xpos=175, ypos=150)
    if persistent.b1_seen and persistent.b2_seen:
        $ persistent.bird = True        
    if persistent.bird or persistent.pk_seen:
        $ ui.imagebutton("images/chapt/25b.png", "images/chapt/25bh.png", clicked = ui.jumpsoutofcontext('begss2'), xanchor=0, yanchor=0, xpos=175, ypos=250)

    $ ui.hbox(xanchor= 0.5, yanchor=1.0, xpos=0.5, ypos=475, yminimum=30, ymaximum=30)
    $ ui.text("|", yanchor=0.5, ypos=0.5)
    $ ui.textbutton("load", yanchor=0.5, ypos=0.5, line_spacing=0, background="#0000", clicked=_intra_jumps('load_screen', 'main_game_transition'))
    $ ui.text("|", yanchor=0.5, ypos=0.5, )
    $ ui.textbutton("config", yanchor=0.5, ypos=0.5, background="#0000", clicked=_intra_jumps('preferences_screen', 'main_game_transition'))
    $ ui.text("|", yanchor=0.5, ypos=0.5, )
    $ ui.textbutton("extra", yanchor=0.5, ypos=0.5, background="#0000", clicked=ui.jumpsoutofcontext('extras'))
    $ ui.text("|", yanchor=0.5, ypos=0.5, )
    $ ui.textbutton("quit", yanchor=0.5, ypos=0.5, background="#0000", clicked=ui.jumps('_quit'))
    $ ui.text("|", yanchor=0.5, ypos=0.5, )
    $ui.close()
    $ ui.interact()
